<?php

//get emoticon info from id
$id=(int)$_GET['id'];

$error=0;

$extensions= array("gif","PNG","GIF","png");
$exist=0;

foreach ($extensions as $ext) {
    if (file_exists("Emoticons/".$id.'.'.$ext)) {
        $exist=1;
        $exta=$ext;
    }
}

if ($exist==1) {
    //it existed on local server!
    
} else {
    //grab emoticon from server
    //use XML to get name etc.
    $exta=Retrieve_Emote();
}

if ($error==1) {
    $exta='png';
}
header("Content-type: image/".$exta);

if ($error==1) {
    $file=file_get_contents("Emoticons/Broken.png");
    echo $file;
} else {
    $file=file_get_contents("Emoticons/".$id.'.'.$exta);
    echo $file;
}


function Retrieve_Emote() {
    global $g_emotes, $g_info, $g_elem, $p, $id, $error;
    $g_emotes = array();
    $g_info = array();
    $g_elem = null;

    $parser = xml_parser_create();

    xml_set_element_handler( $parser, "startEmoteElement", "endElement" );
    xml_set_character_data_handler( $parser, "textEmoteData" );

    $f = fopen( 'http://fun.resplace.net/Emoticons/api/get.php?req=Emoticon&id='.(int)$id, 'r' );

    while( $data = fread( $f, 4096 ) ) {
        xml_parse( $parser, $data );
    }

    xml_parser_free( $parser );

    foreach( $g_info as $info ) {
        if ((int)$info['EXISTS']==1) {

            //emoticon exist print them out!
            foreach( $g_emotes as $emote ) {
                if ($copy=@file_get_contents("http://fun.resplace.net/Emoticons/".$info['CATDIR']."/".$emote['FILENAME'])) {
                    $filename = explode("/", $_SERVER['PHP_SELF']); // THIS WILL BREAK DOWN THE PATH INTO AN ARRAY
                    $filename2="";
                    for( $i = 0; $i < (count($filename) - 1); ++$i ) {
                        $filename2 .= $filename[$i].'/';
                    }
                    $ext=explode(".",$emote['FILENAME']);
                    if (file_put_contents($_SERVER['DOCUMENT_ROOT'].$filename2."Emoticons/".$id.'.'.$ext[1],$copy)==false) {
                        //error occured
                        $error=1;
                    }
                    return $ext[1];
                } else {
                    $error=1;
                }
            }
        } else {
            $error=1;
        }
    }

}

function startEmoteElement( $parser, $name, $attrs ) {
    global $g_emotes, $g_info, $g_elem;
    if ( $name == 'EMOTICON' ) $g_emotes []= array();
    if ( $name == 'INFORMATION' ) $g_info []= array();
    $g_elem = $name;
}

function textEmoteData( $parser, $text ){
    global $g_emotes, $g_info, $g_elem;
    if ( $g_elem == 'ID' || $g_elem == 'FILENAME' || $g_elem == 'NAME' ) {
        $g_emotes[ count( $g_emotes ) - 1 ][ $g_elem ] = $text;
    }
    if ( $g_elem == 'EXISTS' || $g_elem == 'CATDIR' || $g_elem == 'CATNAME' ) {
        $g_info[ count( $g_info ) - 1 ][ $g_elem ] = $text;
    }
}

function endElement( $parser, $name ) {
    global $g_elem;
    $g_elem = null;
}

?>