<?php
/*
Emoticon Library Code
---------------------
This file does not hook up with your SMF as it does not require any SMF features.

Copyright (c) 2011, resplace.net
You may use/alter and redistribute this code aslong as it doesnt harm visitors or our servers, and it must stay GPL/FREE.
This software is distributed under the CC Attribution-Non-Commercial-Share Alike 2.0 UK License, meaning that you may download 
and use this script free of charge for non commerical use, however if you want to use any of these scripts for commercial use 
then you will need to buy a license, I beleive the cost for this is fair and very low. So please support us and buy a license! 
http://creativecommons.org/licenses/by-nc-sa/2.0/uk/

Donate and linkbacks must be preserved, if you would like to remove any "branding" then you need to buy a site license here:
http://resplace.net/store.php?p=license
*/

//Quick CHMOD checks here :)
//The if will mean if it fails we dont waste time trying on all of them.
//@ will stop warnings appearing :)
if (chmod('frame.php', 0644)) {
	@chmod('emote.php', 0644);
	@chmod('liveemotelib.english.php', 0644);
	@chmod('Emoticons/', 0755);
}

//Include the language file
session_start();

include("settings.php");
include("liveemotelib.english.php");

//new XML lib makes life so much easier for us all!
require( 'xmlLib.php' );

//Header
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta name="description" content="<?=$txt['LiveEmoteLib_metadesc']?>">
		<meta name="keywords" content="<?=$txt['LiveEmoteLib_metatitl']?>">
		<title><?=$txt['LiveEmoteLib_title']?> - <?=$txt['LiveEmoteLib_title2']?></title>
		<link href="style.css" rel="stylesheet" type="text/css">
		<script type="text/javascript" src="script.js"></script>
	</head>
	<body>
		<div class="heading"><a href="http://software.resplace.net/SimpleMachines/LiveEmoticonLibrary.php" target="_blank"><?=$txt['LiveEmoteLib_title']?></a></div>
		<div class="float padd"><a href="http://fun.resplace.net/Emoticons/upload.php" title="<?=$txt['LiveEmoteLib_upload']?>" target="_blank" ><img src="images/Up.png" border="0" /> <?=$txt['LiveEmoteLib_upload']?></a></div>
		<div class="float padd"><a href="?<?=$_SERVER['QUERY_STRING']?>"><img src="images/Refresh.png" border="0" /> <?=$txt['LiveEmoteLib_refresh']?></a></div>
		<div class="float padd"><a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=9278478" title="<?=$txt['LiveEmoteLib_donate_title']?>" target="_blank"><img src="images/donate.png" border="0" /> <?=$txt['LiveEmoteLib_donate']?></a></div>
		<br><br><br>
		
		<?php
		//Check to see if we can use fopen
		if (ini_get('allow_url_fopen') == '1') {
		   // use fopen() or file_get_contents()
		   $ssp="";

			if (isset($_GET['id'])) {
				$id=(int)$_GET['id'];
			} else {
				$id=0;
			}
			
			if (isset($_GET['p'])) {
				$p=(int)$_GET['p'];
			} else {
				$p=1;
			}
			
			if (!isset($_GET['req'])) {
				Retrieve_Categorys();
				
			} else if ( ($_GET['req']=="EmoticonsByCategory")) {
				Retrieve_CatEmotes();
			}
		} else {
			?>
			<br><br>
			<?php
			echo $txt['LiveEmoteLib_error'];
		}
		?>
			
		<br><br>
		<div align="center">
			<a href="http://software.resplace.net/SimpleMachines/LiveEmoticonLibrary.php" target="_blank"><?=$txt['LiveEmoteLib_title']?> <?=$txt['LiveEmoteLib_version']?></a><br>
			<a class="small" href="http://fun.resplace.net/Emoticons" target="_blank"><?=$txt['LiveEmoteLib_served']?></a>
		</div>
	</body>
</html>

<?

function Retrieve_Categorys() {
	global $settings_adult;
	$xml = new XMLToArray( 'http://fun.resplace.net/Emoticons/api/get.php?req=CategoryList&ref='.$_SERVER['HTTP_HOST'], array(), array(), false, true );

	ob_start();
	
	?>
	<div style="background-color:#E2EAFF;padding:5px 0px 5px 0px;font-size:0.9em">
		<b class="head">Categories:</b>
	</div>
	<br>
	<?
	foreach( $xml->getArray() as $g_cats) {
		foreach( $g_cats as $cats ) {
			if ($settings_adult==true || !$cats['ADULT']=="Y") {
				?>
				<div class="emotesquare">
					<div class="emotebox">
						<a href="?req=EmoticonsByCategory&id=<?=$cats['ID']?>" title="<?=$cats['TITLE']?>">
								<div align="center" class="icon_hold"><img class="icon" src='<?=$cats['CATIMG']?>' title='<?=$cats['NAME']?>' border='0'></div><div class="icontext"><?=$cats['NAME']?> (<?=$cats['COUNT']?>)</div>
						</a>
					</div>
				</div>
				<?
			}
		}
	}
	
	?>
	<div style="clear:both"></div>
	<?
	
	$content = ob_get_clean();
	
	echo substr($content,0,-2);

}

function Retrieve_CatEmotes() {
    global $p, $id, $txt, $settings_adult;

	$xml = new XMLToArray( 'http://fun.resplace.net/Emoticons/api/get.php?req=EmoticonsByCategory&id='.(int)$id.'&p='.(int)$p.'&ref='.$_SERVER['HTTP_HOST'], array(), array(), false, true );

	$xmlarray = $xml->getArray();
	$information = $xmlarray['EMOTICONS']['INFORMATION'];
	unset($xmlarray['EMOTICONS']['INFORMATION']);
	foreach( $xmlarray as $g_emotes) {
			
		if ((int)$information['EXISTS']==1) {
			//emoticons exist print them out!
			$tr=0;
			?>
			<div style="background-color:#E2EAFF;padding:5px 0px 5px 0px;font-size:0.9em">
				<b class="head">Category '<?=$information['CATNAME']?>'</b>
			</div>
			<br>
			<?php
			
			foreach($g_emotes as $emotes) {
				if ($settings_adult==true || !$emotes['ADULT']=="Y") {
					?>
					<div class="emotesquare2" title="<?=$emotes['NAME']?>">
						<div class="emotebox">
							<a href="javascript:void(0);" onclick="parent.replaceText('[e]<?=$emotes['ID']?>[/e]', window.parent.document.forms.postmodify.message); return false;">
								<div class="emotehold">
									<img class="emote" src="http://fun.resplace.net/Emoticons/<?=$information['CATDIR']?>/<?=$emotes['FILENAME']?>" alt="<?=$emotes['NAME']?>" border="0" title="<?=$emotes['NAME']?>"/>
								</div>
							</a>
						</div>
					</div>
					<?
				}
			}
			
			?>
			<div style="clear:both"></div>
			<?
			
			if ($information['PAGES']>1) {
				?>
				<div class="bg">
					Pages:
					<?
					$pages=$information['PAGES'];
					$i=1;
					while($i <= $pages) {
						echo"<a href='?req=EmoticonsByCategory&amp;id={$id}&amp;p={$i}'>".($i==$p?"<b>{$i}</b>":"{$i}")."</a> ";
						$i++;
					}
				?>
				</div>
				<?
			} else {
				?>
				<div class="bg">
					Pages: 1
				</div>
				<?
			}
			
			?>
			<br>
			<div style="background-color:#E2EAFF;padding:5px 0px 5px 0px;font-size:0.9em">
				<div style="float:right">
					 <a href="http://fun.resplace.net/Emoticons/category/<?=$information['CATDIR']?>" title="<?=$information['CATNAME']?> category at Emoticon Library website" target="_blank"><?=$information['CATNAME']?> at Emoticon Library</a>
				</div>
				<a href="?nothing" title="Home">&lt;&lt; Back</a>
			</div>
			<?

		} else {
			echo $txt['LiveEmoteLib_error2'];
		}
		
	}
}
?>